/* Sidebar and widget component fixes */
.widget__title {
    color: var(--primary);
    font-size: calc(var(--h4) * 0.96);
}

.widget-tabs__pane-content .widget-rand-post__wrapper {
    display: grid;
    grid-template-columns: 80px auto;
    gap: var(--space-xs);
    margin: 6px;
    padding: 4px 4px 6px;
    border: 1px solid var(--secondary-light);
}

.widget-tabs__pane-content .widget-rand-post__date {
    font-size: var(--text-s);
}

.widget-tabs__recent-comments .widget-recent-comment__wrapper {
    display: grid;
    grid-template-rows: 1fr auto;
    margin: 6px;
    padding: 4px 4px 6px;
    border: 1px solid var(--secondary-light);
}

.widget-tabs__recent-comments .widget-recent-comment__header {
    display: flex;
    gap: var(--space-xs);
}

.widget-tabs__recent-comments .widget-recent-comment__avatar {
    flex: 0 0 50px;
}

.widget-tabs__recent-comments .widget-recent-comment__title {
    font-size: calc(var(--h5) * 1.06);
}

.widget-tabs__recent-comments .widget-recent-comment__title a {
    font-weight: 500;
    color: var(--neutral);
}

.widget-tabs__recent-comments .widget-recent-comment__title a:hover {
    background-color: var(--accent-light);
}

.widget-tabs__recent-comments .widget-recent-comment__body {
    font-size: calc(var(--text-m) * 0.88);
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
